$white1: #fff;
$white2: #f7f7f7;
$white3: #f6f7fc;
$white4: #e7e5e5;
$gray1: #e2e2e2;
$gray2: #eeedee;
$gray3: #ccc;
$dark1: #0e121c;
$dark2: #131414;
$dark3: #434449;
$blue1: #2c2959;
$blue2: #8287f1;
$blue3: #161344;
$main1: #57c4b4;
$red1: #ef476f;
$red2: #eb537f;
$red3: #cf3f68;

$colours: "white1"#fff,
"white2"#f7f7f7,
"white3"#f6f7fc,
"white4"#e7e5e5,
"gray1"#e2e2e2,
"gray2"#eeedee,
"gray3"#ccc,
"dark1"#0e121c,
"dark2"#131414,
"dark3"#434449,
"blue1"#2c2959,
"blue2"#8287f1,
"blue3"#161344,
"main1"#57c4b4,
"red1"#ef476f,
"red2"#cf3f68,
"red3"#cf3f68;

@each $i in $colours {
  .bg-#{nth($i, 1)} {
    background-color: nth($i, 2) !important;
    background: nth($i, 2) !important;
  }

  .color-#{nth($i, 1)} {
    color: nth($i, 2) !important;
  }

  .border-#{nth($i, 1)} {
    border: 1px solid nth($i, 2) !important;
  }
}